# Interface ICefStreamWriter

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefStreamWriter = interface(ICefBaseRefCounted)`

## Description

Interface used to write data to a stream. The functions of this interface may be called on any thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_stream_capi.h">CEF source file: /include/capi/cef_stream_capi.h (cef_stream_writer_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefStreamWriter

## Overview

### Methods

| `function Write(const ptr: Pointer; size, n: NativeUInt): NativeUInt;`
| `function Seek(offset: Int64; whence: Integer): Integer;`
| `function Tell: Int64;`
| `function Flush: Integer;`
| `function MayBlock: Boolean;`

## Description

### Methods

| `function Write(const ptr: Pointer; size, n: NativeUInt): NativeUInt;`
Write raw binary data. ###### Attributes GUID['{4AA6C477-7D8A-4D5A-A704-67F900A827E7}']

| `function Seek(offset: Int64; whence: Integer): Integer;`
Seek to the specified offset position. |whence| may be any one of SEEK_CUR, SEEK_END or SEEK_SET. Returns zero on success and non-zero on failure.

| `function Tell: Int64;`
Return the current offset position.

| `function Flush: Integer;`
Flush the stream.

| `function MayBlock: Boolean;`
Returns true (1) if this writer performs work like accessing the file system which may block. Used as a hint for determining the thread to access the writer from.

Generated by PasDoc 0.16.0-snapshot.